#include<bits/stdc++.h>
typedef long long ll;
using namespace std;
int n,q;
const int maxn=(int)2e5+10;
int a[maxn];
int b;
map<int,int>m; //broj, min
int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);
    cin >> n >> q;
    for (int i=1; i<=n; i++)
        cin >> a[i];
    sort(a+1,a+n+1);
    int t=n/2+1;
    for (int i=1; i<=n; i++)
    {
        if (i<t)
            m[a[i]]=n;
        if (i==t)
            m[a[i]]=0;
        if (i>t)
        {
            if (m[a[i]]==0)
                m[a[i]]=(n%2==0) ? 2*(i-t) : 2*(i-t)-1;
            else
                m[a[i]]=min(m[a[i]], (n%2==0) ? 2*(i-t) : 2*(i-t)-1);
        }
    }
    while (q--)
    {
        cin >> b;
        if (b==a[t])
        {
            cout << 0 << "\n";
            continue;
        }
        if (m[b]!=0)
        {
            cout << m[b] << "\n";
            continue;
        }
        cout << n << "\n";
    }
    return 0;
}